import 'package:flutter/material.dart';
import 'package:wyatt_ui_components/wyatt_wyatt_ui_components.dart';
import 'package:wyatt_ui_layout/src/presentation/layouts/layout.dart';

class BottomNavigationBarLayout extends Layout {
  const BottomNavigationBarLayout({
    required this.body,
    this.custom,
    super.key,
  });
  final Widget? body;
  final BottomNavigationBarComponent? Function(BottomNavigationBarComponent?)?
      custom;
  @override
  Widget build(BuildContext context) => Scaffold(
        body: body,
        bottomNavigationBar: custom?.call(
          context.components.bottomNavigationBar,
        ),
      );
}
